Skip to main content
Back to API List Controls transcription and call recording sessions for Agent AI SIP-REC calls on third-party agent desktops. Use this API to start, pause, resume, or stop transcription and call recordings independently for a specific conversation.

API Details

FieldValue
MethodPOST
Endpointhttps://{{host}}/api/1.1/public/bot/{botid}/control/transcriptionv2?conversationId={conversationId}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token
API ScopeAgent AI Transcription and Call Recording — See Associate API Scopes

Path Parameters

ParameterRequiredDescription
botIdYesUnique identifier of the bot controlling the transcription and call recording.

Query Parameters

ParameterRequiredDescription
conversationIdYesUnique identifier of the conversation for which transcription and call recording is controlled.

Sample Request

curl --location 'https://staging-xo.korebots.com/api/1.1/public/bot/st-0510047e-9e82-5574-9523-bb02a0dxxxxx/control/transcriptionv2?conversationId=CAa8c6351c14ab45f09aaa04cde25xxxxx' \
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json' \
--data '{
    "transcription_action": "resume",
    "recording_action": "stop"
}'

Body Parameters

ParameterRequiredDescription
transcription_actionNoControl action for transcription. Available values: start, pause, resume, end.
recording_actionNoControl action for call recording. Available values: start, pause, resume, stop.
The Record the calls setting is configured at Agent AI > Flows & Channels > Voice Gateway > SIP Numbers. However, even if recording is disabled there, this API can independently start and control recordings.

Sample Response

{
    "status": "success"
}